<div class="global-wrapper">
  <h2>Welcome to the UTU SDK Demo</h2>
  
  <div>
    (1) <button #el class="btn x-utu-btn x-utu-btn-light" (click)="onClickWallet()">Connect your
      wallet</button>
  </div>

  <div>
    (2) <button #el class="btn x-utu-btn x-utu-btn-light" (click)="onConnectToUtuClick()">Connect to
      UTU</button>
  </div>

 
  <h3>Choose your provider:</h3>
  
  
  <div class="offers">
   
    <ul *ngIf="hasToken && walletAddress != null; else showThis">
      <li class="offer" *ngFor="let offer of OFFERS">
        <div class="utu-wrapper">
          <div [ngStyle]="{ fontWeight: 'bold' }">{{offer.name}}</div>

          <div class="utu-wrapper-recommendation">
            <x-utu-root [attr.api-url]="overrideApiUrl" [attr.source-uuid]="walletAddress" target-type="provider"
              [attr.target-uuids]="getId(offer.id)">

              <x-utu-recommendation [ngStyle]="{  marginTop: '-20px' }" [attr.target-uuid]="getId(offer.id)" />

            </x-utu-root>
          </div>


          <x-utu-feedback-details-popup [attr.api-url]="overrideApiUrl" [attr.target-uuid]="getId(offer.id)"
            [attr.source-uuid]="walletAddress" />
       


          <div class="utu-wrapper-feedback-form">
          <x-utu-feedback-form-popup [attr.api-url]="overrideApiUrl" [attr.target-uuid]="getId(offer.id)"
            [attr.source-uuid]="walletAddress" [attr.transaction-id]=5 />
     
          </div>


        </div>
      </li>
    </ul>
  </div>

  <div>

  </div>

  <ng-template #showThis>
    Nothing to show until you perform Step 2
  </ng-template>


</div>